%define pkgname actionmailer
Summary:	Mail generator library for Ruby
Summary(pl.UTF-8):	Biblioteka do generowania listów w języku Ruby
Name:		ruby-%{pkgname}
Version:	3.2.19
Release:	7
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	88ae7f86d4b8585a2108581145de6819
Patch0:		mail26.patch
URL:		http://rubyforge.org/projects/actionmailer/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-actionpack >= 3.2.19
Requires:	ruby-text-format
Provides:	ruby-ActionMailer
Obsoletes:	ruby-ActionMailer
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Action Mailer uses the Action Pack library to generate template-driven
email.

%description -l pl.UTF-8
Action Mailer używa biblioteki Action Pack do generowania listów
elektronicznych na podstawie szablonów.

%package rdoc
Summary:	Documentation files for ActionMailer
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActionMailer
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActionMailer.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActionMailer.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%{__gzip} -d metadata.gz
%patch0 -p1
%{__gzip} metadata

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc
%{ruby_vendorlibdir}/action_mailer
%{ruby_vendorlibdir}/action_mailer.rb
%{ruby_vendorlibdir}/rails/generators/mailer
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/ActionMailer
%changelog
* Thu Apr 07 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-actionmailer.git;a=log;h=master

* Thu Apr 07 2016 Jan Rękorajski <baggins@pld-linux.org> d8f831a
- relax ruby-mail dependency
- rel 7

* Sat Mar 05 2016 Jan Rękorajski <baggins@pld-linux.org> b1f9e01
- release 6 (by relup.sh)

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> 9c0e5e1
- release 5 (by relup.sh)

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> 06590d8
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 477c99e
- install to vendor dir; noarch package

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 1c2abec
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> dafd838
- up to 3.2.19

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> f62f7d8
- removed obsolete patch

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 479e6a8
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> a112907
- up to 2.3.16

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> e5362eb
- up to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 10ff52a
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 34f619d
- 2.3.11

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> c95ca73
- added ri package
- we have tmail and text-format in distro, so kill vendor stuff

* Sun Feb 28 2010 Jan Rękorajski <baggins@pld-linux.org> 85d43ea
- 2.3.5
- updated requires

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 383d579
- P:ruby-ActionMailer

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 918cdaa
- O:ruby-ActionMailer

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 9483afb
- renamed ruby-ActionMailer -> ruby-actionmailer

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 1488420
- unify ri stuff, add action_maier.rb

* Tue Jan 06 2009 Elan Ruusamäe <glen@pld-linux.org> 4a4a920
- up to 2.0.5

